gtkmm 2.4: Atk::StateSet Class Reference

Main Page Widgets Namespaces Book

# Atk::StateSet Class Reference

Inheritance diagram for Atk::StateSet:
[legend]
List of all members.

## Detailed Description

An AtkStateSet determines a component's state set.

It is composed of a set of Atk::States.

## Public Member Functions
bool | add_state (Atk::StateType type)
| Add a new state for the specified type to the current state set if it is not already present.
void | add_states (const Glib::ArrayHandle<Atk::StateType>& types)
Glib::RefPtr<StateSet> | and_sets (const Glib::RefPtr<StateSet>& compare_set)
| Constructs the intersection of the two sets, returning `0` if the intersection is empty.
void | clear_states ()
| Removes all states from the state set.
bool | contains_state (Atk::StateType type)
| Checks whether the state for the specified type is in the specified set.
bool | contains_states (const Glib::ArrayHandle<Atk::StateType>& types) const
const AtkStateSet* | gobj () const
| Provides access to the underlying C GObject.
AtkStateSet* | gobj ()
| Provides access to the underlying C GObject.
AtkStateSet* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | is_empty () const
| Checks whether the state set is empty, i.e. has no states set.
Glib::RefPtr<StateSet> | or_sets (const Glib::RefPtr<StateSet>& compare_set)
| Constructs the union of the two sets.
bool | remove_state (Atk::StateType type)
| Removes the state for the specified type from the state set.
Glib::RefPtr<StateSet> | xor_sets (const Glib::RefPtr<StateSet>& compare_set)
| Constructs the exclusive-or of the two sets, returning `0` is empty.
virtual | ~StateSet ()
## Static Public Member Functions
Glib::RefPtr<StateSet> | create ()
## Protected Member Functions
| StateSet ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::StateSet> | wrap (AtkStateSet* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::StateSet::~StateSet | ( |  | ) | `[virtual]`

Atk::StateSet::StateSet | ( |  | ) | `[protected]`

## Member Function Documentation

bool Atk::StateSet::add_state | ( | Atk::StateType | type | ) |

  | Add a new state for the specified type to the current state set if it is not already present. Parameters:
  | type | An Atk::StateType.
Returns: `true` if the state for type is not already in set .

void Atk::StateSet::add_states | ( | const Glib::ArrayHandle<Atk::StateType>& | types | ) |

Glib::RefPtr<StateSet> Atk::StateSet::and_sets | ( | const Glib::RefPtr<StateSet>& | compare_set | ) |

  | Constructs the intersection of the two sets, returning `0` if the intersection is empty. Parameters:
  | compare_set | Another Atk::StateSet.
Returns: A new Atk::StateSet which is the intersection of the two sets.

void Atk::StateSet::clear_states | ( |  | ) |

| Removes all states from the state set.

bool Atk::StateSet::contains_state | ( | Atk::StateType | type | ) |

  | Checks whether the state for the specified type is in the specified set. Parameters:
  | type | An Atk::StateType.
Returns: `true` if type is the state type is in set .

bool Atk::StateSet::contains_states | ( | const Glib::ArrayHandle<Atk::StateType>& | types | ) | const

Glib::RefPtr<StateSet> Atk::StateSet::create | ( |  | ) | `[static]`

const AtkStateSet* Atk::StateSet::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

AtkStateSet* Atk::StateSet::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

AtkStateSet* Atk::StateSet::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Atk::StateSet::is_empty | ( |  | ) | const

| Checks whether the state set is empty, i.e. has no states set. Returns: `true` if set has no states set, otherwise `false`.

Glib::RefPtr<StateSet> Atk::StateSet::or_sets | ( | const Glib::RefPtr<StateSet>& | compare_set | ) |

  | Constructs the union of the two sets. Parameters:
  | compare_set | Another Atk::StateSet.
Returns: A new Atk::StateSet which is the union of the two sets, returning `0` is empty.

bool Atk::StateSet::remove_state | ( | Atk::StateType | type | ) |

  | Removes the state for the specified type from the state set. Parameters:
  | type | An Atk::Type.
Returns: `true` if type was the state type is in set .

Glib::RefPtr<StateSet> Atk::StateSet::xor_sets | ( | const Glib::RefPtr<StateSet>& | compare_set | ) |

  | Constructs the exclusive-or of the two sets, returning `0` is empty. The set returned by this operation contains the states in exactly one of the two sets. Parameters:
  | compare_set | Another Atk::StateSet.
Returns: A new Atk::StateSet which contains the states which are in exactly one of the two sets.

## Friends And Related Function Documentation

Glib::RefPtr<Atk::StateSet> wrap | ( | AtkStateSet* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- stateset.h